Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor.types
Class ValueModeType

    java.lang.Object
      org.kemet.orm.castor.types.ValueModeType

All Implemented Interfaces:
  java.io.Serializable

    public class ValueModeType

extends java.lang.Object
implements java.io.Serializable

Class ValueModeType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`static ValueModeType` | `DUAL` The instance of the dual type
`static int` | `DUAL_TYPE` The dual type
`static ValueModeType` | `PLURIAL` The instance of the plurial type
`static int` | `PLURIAL_TYPE` The plurial type
`static ValueModeType` | `SINGULAR` The instance of the singular type
`static int` | `SINGULAR_TYPE` The singular type
`static ValueModeType` | `UNDEFINED` The instance of the undefined type
`static int` | `UNDEFINED_TYPE` The undefined type

Method Summary
`static java.util.Enumeration` | `enumerate()` Method enumerate.Returns an enumeration of all possible instances of ValueModeType
`int` | `getType()` Method getType.Returns the type of this ValueModeType
`java.lang.String` | `toString()` Method toString.Returns the String representation of this ValueModeType
`static ValueModeType` | `valueOf(java.lang.String string)` Method valueOf.Returns a new ValueModeType based on the given String value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SINGULAR_TYPE

    public static final int SINGULAR_TYPE

  The singular type

  See Also:
    Constant Field Values

### SINGULAR

    public static final ValueModeType SINGULAR

  The instance of the singular type

### PLURIAL_TYPE

    public static final int PLURIAL_TYPE

  The plurial type

  See Also:
    Constant Field Values

### PLURIAL

    public static final ValueModeType PLURIAL

  The instance of the plurial type

### DUAL_TYPE

    public static final int DUAL_TYPE

  The dual type

  See Also:
    Constant Field Values

### DUAL

    public static final ValueModeType DUAL

  The instance of the dual type

### UNDEFINED_TYPE

    public static final int UNDEFINED_TYPE

  The undefined type

  See Also:
    Constant Field Values

### UNDEFINED

    public static final ValueModeType UNDEFINED

  The instance of the undefined type

Method Detail

### enumerate

    public static java.util.Enumeration enumerate()

  Method enumerate.Returns an enumeration of all possible instances of ValueModeType

  Returns:
    an Enumeration over all possible instances of ValueModeType

### getType

    public int getType()

  Method getType.Returns the type of this ValueModeType

  Returns:
    the type of this ValueModeType

### toString

    public java.lang.String toString()

  Method toString.Returns the String representation of this ValueModeType

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this ValueModeType

### valueOf

    public static ValueModeType valueOf(java.lang.String string)

  Method valueOf.Returns a new ValueModeType based on the given String value.

  Parameters:
    `string` -
  Returns:
    the ValueModeType value of parameter 'string'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.